Master Wallet Account Update
curl --request PATCH \
--url https://api.blockradar.co/v2/wallets/{id}/virtual-accounts/{virtualAccountId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"isActive": false,
"code": "<string>",
"passkeyResponse": {}
}
'import requests
url = "https://api.blockradar.co/v2/wallets/{id}/virtual-accounts/{virtualAccountId}"
payload = {
"isActive": False,
"code": "<string>",
"passkeyResponse": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isActive: false, code: '<string>', passkeyResponse: {}})
};
fetch('https://api.blockradar.co/v2/wallets/{id}/virtual-accounts/{virtualAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Virtual account updated successfully",
"data": {
"id": "3e8fcd73-4067-4386-8c1e-9929e6a768d7",
"reference": "va_01J2X8JQ4V9N0P7K2M6C3F5R8T",
"accountNumber": "0123456789",
"accountName": "Acme Ltd / Ada Okafor",
"bankName": "Example Bank",
"bankCode": "999",
"currency": "NGN",
"institutionAddress": null,
"assetId": "ae455f23-3824-4125-baab-d158315cbcbd",
"providerId": "1128dd40-2c94-4c16-a6bf-fbbc6afee52c",
"isActive": true,
"status": "active",
"type": "AUTO_FUNDING",
"label": "Ada collection account",
"createdAt": "2026-07-19T12:30:00.000Z",
"updatedAt": "2026-07-19T12:30:00.000Z"
}
}v2
Master Wallet Account Update
PATCH
/
v2
/
wallets
/
{id}
/
virtual-accounts
/
{virtualAccountId}
Master Wallet Account Update
Authorizations
Path Parameters
Wallet identifier.
Virtual account identifier.
Body
application/json
⌘I

